----------Machines------------

----------Gases------------

----------Crushed Ores------------

local crushed_copper_ore = {
	icon = "__industrial-engineering__/graphics/icons/crushed-copper-ore.png",
    icon_size = 64,
	category = "industrial-engineering-crushing",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "copper-ore", amount = 1, type = "item"},
	},
	name = "industrial-engineering-crushed-copper-ore",
	results = {
		{name = "industrial-engineering-crushed-copper-ore", amount = 1, type = "item"},
		{name = "stone", amount = 1, type = "item", probability = 0.75},
	},
	type = "recipe",
	subgroup = "industrial-engineering-crushed",
}

data:extend({
	crushed_copper_ore,
})

----------Clean Ores------------

local clean_copper_ore = {
icon = "__industrial-engineering__/graphics/icons/clean-copper-ore.png",
    icon_size = 64,
	category = "industrial-engineering-washing",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-crushed-copper-ore", amount = 1, type = "item"},
		{name = "water", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-clean-copper-ore",
	results = {
		{name = "industrial-engineering-clean-copper-ore", amount = 1, type = "item"},
		{name = "stone", amount = 1, type = "item", probability = 0.25},
	},
	type = "recipe",
	subgroup = "industrial-engineering-clean",
}

data:extend({
	clean_copper_ore,
})

----------Smelting Ores------------

local smelt_crushed_copper_ore = {
	category = "smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-crushed-copper-ore", amount = 1, type = "item"},
	},
	name = "industrial-engineering-smelt-crushed-copper-ore",
	results = {
		{name = "copper-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local smelt_clean_copper_ore = {
	category = "smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-clean-copper-ore", amount = 1, type = "item"},
	},
	name = "industrial-engineering-smelt-clean-copper-ore",
	results = {
		{name = "copper-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

data:extend({
	smelt_crushed_copper_ore,
	smelt_clean_copper_ore,
})

----------Blast Smelting Ores------------

local blast_smelt_crushed_copper_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-crushed-copper-ore", amount = 1, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-crushed-copper-ore",
	results = {
		{name = "copper-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local blast_smelt_clean_copper_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-clean-copper-ore", amount = 1, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-clean-copper-ore",
	results = {
		{name = "copper-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local blast_smelt_copper_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "copper-ore", amount = 1, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-copper-ore",
	results = {
		{name = "copper-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

data:extend({
	blast_smelt_crushed_copper_ore,
	blast_smelt_clean_copper_ore,
	blast_smelt_copper_ore,
})